<?php
	$filesize= $_REQUEST['fileSize'];
	$fileurl= $_REQUEST['imageurl'];
	$fileName= $_REQUEST['fileName'];
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"> 
<html lang="ko">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <script src="/common/daumeditor/js/popup.js" type="text/javascript" charset="utf-8"></script>
	<title>FileUploader Callback</title>
	<script type="text/javascript">
	// <![CDATA[
	function initUploader(){
	    var _opener = PopupUtil.getOpener();
	    if (!_opener) {
	        alert('잘못된 경로로 접근하셨습니다.');
	        return;
	    }
	    
	    var _attacher = getAttacher('image', _opener);
	    registerAction(_attacher);

		if (typeof(execAttach) == 'undefined') { //Virtual Function
	        return;
	    }
		
		var _mockdata = {
			'filesize': '<?=$filesize?>',
			'imageurl': '<?=$fileurl?>',
			'filename': '<?=$fileName?>',
			'imagealign': 'C',
			'originalurl': '<?=$fileurl?>',
			'thumburl': '<?=$fileurl?>'
		};
		execAttach(_mockdata);
		
		closeWindow();
	}
	window.onload=function(){
		initUploader();
	}
// ]]>

</script>
</html>